GDB (xrefs)

Public Attributes | List of all members
syscalls_info Struct Reference

## Public Attributes
std::vector< syscall_desc_up > | syscalls
std::vector< syscall_group_desc_up > | groups
std::string | my_gdb_datadir

## Detailed Description

Definition at line 134 of file xml-syscall.c.

## Member Data Documentation

## ◆ groups

std::vector<syscall_group_desc_up> syscalls_info::groups

Definition at line 142 of file xml-syscall.c.

Referenced by syscall_group_add_syscall(), syscall_group_create_syscall_group_desc(), syscall_group_get_group_by_name(), and xml_list_of_groups().

## ◆ my_gdb_datadir

std::string syscalls_info::my_gdb_datadir

Definition at line 148 of file xml-syscall.c.

Referenced by init_syscalls_info().

## ◆ syscalls

std::vector<syscall_desc_up> syscalls_info::syscalls

Definition at line 138 of file xml-syscall.c.

Referenced by init_syscalls_info(), syscall_create_syscall_desc(), xml_get_syscall_name(), xml_get_syscall_number(), and xml_list_of_syscalls().

The documentation for this struct was generated from the following file:

- /tmp/gdb-8.1/gdb/xml-syscall.c